Skip to main content
GET
/
v1
/
domain
/
whois
/
{domain-name}
Fetch the domain whois record details
curl --request GET \
  --url https://api.odin.io/v1/domain/whois/{domain-name} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.odin.io/v1/domain/whois/{domain-name}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.odin.io/v1/domain/whois/{domain-name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "administrative_contact": {
      "address": "<string>",
      "city": "<string>",
      "company": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "email": "<string>",
      "email_domain": "<string>",
      "fax": "<string>",
      "name": "<string>",
      "phone": "<string>",
      "state": "<string>",
      "zip": "<string>"
    },
    "audited_fields": {
      "created_at": "<string>",
      "expires_date": "<string>",
      "is_modified": true,
      "updated_at": "<string>"
    },
    "billing_contact": {
      "address": "<string>",
      "city": "<string>",
      "company": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "email": "<string>",
      "email_domain": "<string>",
      "fax": "<string>",
      "name": "<string>",
      "phone": "<string>",
      "state": "<string>",
      "zip": "<string>"
    },
    "created_date": "<string>",
    "domain_name": "<string>",
    "domain_status": [
      "<string>"
    ],
    "expires_date": "<string>",
    "name_servers": [
      "<string>"
    ],
    "raw_data": "<string>",
    "registrant_contact": {
      "address": "<string>",
      "city": "<string>",
      "company": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "email": "<string>",
      "email_domain": "<string>",
      "fax": "<string>",
      "name": "<string>",
      "phone": "<string>",
      "state": "<string>",
      "zip": "<string>"
    },
    "registrar": {
      "id": "<string>",
      "name": "<string>",
      "url": "<string>",
      "whois": "<string>"
    },
    "technical_contact": {
      "address": "<string>",
      "city": "<string>",
      "company": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "email": "<string>",
      "email_domain": "<string>",
      "fax": "<string>",
      "name": "<string>",
      "phone": "<string>",
      "state": "<string>",
      "zip": "<string>"
    },
    "tld": "<string>",
    "updated_date": "<string>"
  },
  "message": "<string>",
  "meta": {},
  "success": true
}
{}
{}
{}
{}

Authorizations

X-API-Key
string
header
required

Path Parameters

domain-name
string
required

domain

Response

OK

data
object
message
string
meta
object
success
boolean